---
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  creationTimestamp: "2025-10-27T11:30:08Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:ownerReferences:
          k:{"uid":"42934d21-bf48-4e6e-be5b-f538b0be0793"}: {}
      f:spec:
        f:groups:
          k:{"name":"openshift-network.rules"}:
            .: {}
            f:name: {}
            f:rules: {}
    manager: cluster-network-operator/operconfig
    operation: Apply
    time: "2025-10-27T11:30:08Z"
  name: openshift-network-operator-ipsec-rules
  namespace: openshift-network-operator
  ownerReferences:
  - apiVersion: operator.openshift.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: Network
    name: cluster
    uid: 42934d21-bf48-4e6e-be5b-f538b0be0793
  resourceVersion: "4728"
  uid: 79b52bf9-e1c4-447c-8dd6-f6abc8f6942d
spec:
  groups:
  - name: openshift-network.rules
    rules:
    - expr: |-
        group by (mode,is_legacy_api) (
          openshift_network_operator_ipsec_state{namespace=~"openshift-network-operator"}
        )
      record: openshift:openshift_network_operator_ipsec_state:info
